#include <avr/io.h>
#define UBRR_VAL 12
void uart_init(void)
{
    UCSRB |= /*(1<<TXEN) |*/ (1<<RXEN);                // UART TX einschalten
    UCSRC |= (3<<UCSZ0);    // Asynchron 8N1

	UBRRH = UBRR_VAL >> 8;
    UBRRL = UBRR_VAL & 0xFF;

}
void uart_putc(unsigned char c)
{
    while (!(UCSRA & (1<<UDRE)))  /* warten bis Senden moeglich                   */
    {
    }

    UDR = c;
}
uint8_t uart_getc(void)
{
    while (!(UCSRA & (1<<RXC)))   // warten bis Zeichen verfuegbar
        ;
    return UDR;                   // Zeichen aus UDR an Aufrufer zurueckgeben
}
void uart_puts (char *s)
{
    while (*s)
    {   /* so lange *s != '\0' also ungleich dem "String-Endezeichen" */
        uart_putc(*s);
        s++;
    }
}
